Subject: bug#74488: Why not modernize Emacs

From: Raj Divecha <[email-masked]>
Date: Tue, 26 Nov 2024 22:42:01 +0000 (UTC)

Hi Eduardo, I probably never came across that thread. But yeah, that person seems to be echoing my frustration. I could probably watch David Wilson's videos but I chose to read the Emacs docs and following the instruction in there and use the extensions recommended in there.. I went that route but was hitting road blocks after road block. I would have got through every tiny detail if I had the time but ultimately I had to give up! Although, I might soon try to do it again or follow David Wilson. But the point is why not just make a user friendly interface? How can a new comer like VS Code come and grab the market and a powerful tool like Emacs can't? I wish I had started with Emacs as my first editor. That way I would have been able to stick with it for life! Transitioning from one tool/editor to another is also frustrating and that's why I wish I should have started with Emacs. Thanks, Raj On Nov 26, 2024, at 2:58 PM, Eduardo Ochs <[email-masked]> wrote: On Mon, 25 Nov 2024 at 14:59, Raj Divecha via Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> wrote: I wish I could contribute but unfortunately I am stuck with my bread & butter job. I am a seasoned systems engineer and mostly work on C/C++/Python, validating features of various ICs that my company manufactures and I know if I want I can work on this non-trivial change but at the end of the day my bread & butter job takes priority over everything else. Just out of curiosity, what will it take to get this done? Is there a document I can review and get a feel for the amount of work? And approximately, how many engineers do you think are needed to work on this and the different expertise required? LISP is kind of dead and the users might need Python to customize their interface, thus, I believe both LISP and Python will have to be supported simultaneously. Hi Raj, have you read this thread? https://lists.gnu.org/archive/html/emacs-devel/2024-10/msg00018.html https://lists.gnu.org/archive/html/emacs-devel/2024-10/threads.html#00018 Cheers, Eduardo Ochs